package com.ub.alumnes.mmorenfe.pfg_app.adapters;

import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import com.ub.alumnes.mmorenfe.pfg_app.R;
import com.ub.alumnes.mmorenfe.pfg_app.model.Alumne;

public class AlumnesAdapter extends ArrayAdapter<Alumne> {

	private Context context;
	private int resourceId;

	public AlumnesAdapter(Context context, int resourceId, List<Alumne> objects) {
		super(context, resourceId, objects);

		this.context = context;
		this.resourceId = resourceId;

	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View v = null;
		LayoutInflater inflater = (LayoutInflater) context
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		
		v = inflater.inflate(resourceId, parent, false);
		
		TextView surname = (TextView) v.findViewById(R.id.textViewCognom);
		TextView name = (TextView) v.findViewById(R.id.textViewNom);
		
		surname.setText(getItem(position).getCognom());
		name.setText(getItem(position).getNom());
		

		return v;
	}

}
