package com.ub.alumnes.mmorenfe.pfg_app.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.*;
import com.ub.alumnes.mmorenfe.pfg_app.R;
import com.ub.alumnes.mmorenfe.pfg_app.model.Pregunta;
import com.ub.alumnes.mmorenfe.pfg_app.model.Resposta;
import com.ub.alumnes.mmorenfe.pfg_app.utils.TestUtils;

import java.util.ArrayList;
import java.util.IdentityHashMap;
import java.util.List;
import java.util.Map;

public class PreguntaAdapter extends ArrayAdapter<Pregunta> {

    private static final int MODE_CREATE = 0;
    private static final int MODE_EDIT = 1;
    private static final int NO_MODE = -1;
    RadioButton rb0;
    RadioButton rb1;
    RadioButton rb2;
    RadioButton rb3;
    RadioGroup rg;
    LinearLayout ll;
    TextView title;
    TestUtils utils;
    private int resourceId;
    private Context context;
    private boolean isProfessor;
    private Map<Integer, Boolean> estats;
    private int maxHeight;
    private int mode;

    public PreguntaAdapter(Context context, int resourceId,
                           List<Pregunta> objects, final boolean isProfessor) {
        super(context, resourceId, objects);
        this.context = context;
        this.resourceId = resourceId;
        this.isProfessor = isProfessor;
        this.utils = new TestUtils(context);
        this.maxHeight = 0;

        setNotifyOnChange(true);
        estats = new IdentityHashMap<Integer, Boolean>();

        // any mode
        this.mode = NO_MODE;

    }

    public PreguntaAdapter(Context context, int resourceId,
                           List<Pregunta> objects, final boolean isProfessor, final int mode) {
        super(context, resourceId, objects);
        this.context = context;
        this.resourceId = resourceId;
        this.isProfessor = isProfessor;
        this.mode = mode;
        estats = new IdentityHashMap<Integer, Boolean>();
        setNotifyOnChange(true);

    }

    /*
     * (non-Javadoc)
     *
     * @see android.widget.ArrayAdapter#getView(int, android.view.View,
     * android.view.ViewGroup)
     */
    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
//        LayoutInflater inflater = (LayoutInflater) context
//                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
//        View v = null;
//
//        estats.put(position, false);
//
//
//        if (getItem(position) != null) {
//
//
//            v = inflater.inflate(resourceId, parent, false);
//
//            if (v.getHeight() >= maxHeight) {
//                maxHeight = v.getHeight();
//            } else {
//                RelativeLayout.LayoutParams params = (RelativeLayout.LayoutParams) v
//                        .getLayoutParams();
//                params.height = maxHeight;
//                v.setLayoutParams(params);
//            }
//
//            final RelativeLayout edita = (RelativeLayout) v
//                    .findViewById(R.id.layout_edita_pregunta);
//            final LinearLayout respon = (LinearLayout) v
//                    .findViewById(R.id.layout_respon_pregunta);
//
//            ImageButton btnEdit = (ImageButton) v
//                    .findViewById(R.id.btnEdit);
//            ImageButton btnSend = (ImageButton) edita
//                    .findViewById(R.id.btnSend);
//
//
//            rg = (RadioGroup) v.findViewById(R.id.radioGroupAnswers);
//            ll = (LinearLayout) v
//                    .findViewById(R.id.layoutPreguntesEditades);
//
//
//            if (estats.get(position)) {
//                respon.setVisibility(View.GONE);
//                edita.setVisibility(View.VISIBLE);
//            } else {
//                respon.setVisibility(View.VISIBLE);
//                edita.setVisibility(View.GONE);
//            }
//
//            btnEdit.setOnClickListener(new OnClickListener() {
//
//                @Override
//                public void onClick(View v) {
//                    respon.setVisibility(View.GONE);
//                    edita.setVisibility(View.VISIBLE);
//                    estats.put(position, true);
//                }
//            });
//
//            btnSend.setOnClickListener(new OnClickListener() {
//
//                @Override
//                public void onClick(View v) {
//                    respon.setVisibility(View.VISIBLE);
//                    edita.setVisibility(View.GONE);
//                    estats.put(position, false);
//                    utils.actualitzaPregunta(getItem(position), rg, ll);
//                }
//            });
//
//            btnAdd.setOnClickListener(new OnClickListener() {
//
//                @Override
//                public void onClick(View v) {
//                    utils.addResposta(getItem(position), new Resposta(0, "", false), rg, ll);
//                    notifyDataSetChanged();
//                }
//            });
//
//
//            utils.generateQuestion(getItem(position), rg, ll);
//
//        } else {
//            return new View(context);
//        }

        return null;
    }

    public void setRespostaCorrecta(final int position, final int posResposta) {
        List<Resposta> respostes = new ArrayList<Resposta>();
        respostes = getItem(position).getRespostes();
        for (int i = 0; i < respostes.size(); i++) {
            if (i != posResposta) {
                respostes.get(i).setCorrecta(false);
            } else {
                respostes.get(i).setCorrecta(true);
            }
        }
    }

}
