package com.ub.alumnes.mmorenfe.pfg_app.adapters;

import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import com.ub.alumnes.mmorenfe.pfg_app.R;
import com.ub.alumnes.mmorenfe.pfg_app.model.Tema;

public class TemaAdapter extends ArrayAdapter<Tema> {
	
	private Context context;
	private int resourceId;

	public TemaAdapter(Context context, int resourceId,
			List<Tema> objects) {
		super(context, resourceId, objects);
		this.context = context;
		this.resourceId = resourceId;
	}

	/* (non-Javadoc)
	 * @see android.widget.ArrayAdapter#getView(int, android.view.View, android.view.ViewGroup)
	 */
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View view = null;
		
			LayoutInflater inflater = (LayoutInflater) context
					.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			view = inflater.inflate(resourceId, parent,
					false);
			
			TextView tv = (TextView)view.findViewById(R.id.text_grid_tema_element);
			
			tv.setText(getItem(position).getNom());

		return view;
	}
	
	

}
