package com.ub.alumnes.mmorenfe.pfg_app.model;

import java.io.File;

import android.os.Parcel;
import android.os.Parcelable;

public class Arxiu implements Parcelable{
	
	private int id;
	
	private String nom;
	
	private String path;
	
	private boolean isVisible;

	public Arxiu(int id, String nom, String path, final boolean isVisible) {
		super();
		this.id = id;
		this.nom = nom;
		this.path = path;
		this.isVisible = isVisible;
	}

	public Arxiu() {
		super();
	}
	
	public Arxiu(final Parcel in) {
		super();
		id = in.readInt();
		nom = in.readString();
		path = in.readString();
		isVisible = in.readByte() == 1? true : false;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeInt(id);
		dest.writeString(nom);
		dest.writeString(path);
		dest.writeByte((byte) (isVisible? 1:0));
	}
	
	public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        public Arxiu createFromParcel(Parcel source) {
        	return new Arxiu(source);
        }
 
        public Arxiu[] newArray(int size) {
            return new Arxiu[size];
        }
    };
	
	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @return the nom
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * @return the path
	 */
	public String getPath() {
		return path;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @param nom the nom to set
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * @param fitxer the fitxer to set
	 */
	public void setPath(String path) {
		this.path = path;
	}

	@Override
	public int describeContents() {
		return 0;
	}
	
	public void setVisible(final boolean visible) {
		isVisible = visible;
	}

	public boolean isVisible() {
		return this.isVisible;
	}


	

}
