package com.ub.alumnes.mmorenfe.pfg_app.model;

import java.util.ArrayList;
import java.util.List;

import android.os.Parcel;
import android.os.Parcelable;

public class Test implements Parcelable{
	
	private int id;
	
	private String titol;
	
	private List<Pregunta> preguntes;
	
	private boolean isVisible;
	

	public Test(int id, String titol, List<Pregunta> preguntes, final boolean isVisible) {
		super();
		this.id = id;
		this.titol = titol;
		this.preguntes = preguntes;
		this.isVisible = isVisible;
		
	}
	
	public Test(Parcel in) {
		id = in.readInt();
		titol = in.readString();
		preguntes = new ArrayList<Pregunta>();
		in.readList(preguntes, getClass().getClassLoader());
		isVisible = in.readByte() == 1? true : false;
	}
	
	public Test() {
		
	}
	
	
	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeInt(id);
		dest.writeString(titol);
		dest.writeList(preguntes);
		dest.writeByte((byte) (isVisible? 1 : 0));
	}
	
	public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        public Test createFromParcel(Parcel source) {
        	return new Test(source);
        }
 
        public Test[] newArray(int size) {
            return new Test[size];
        }
    };

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @return the titol
	 */
	public String getTitol() {
		return titol;
	}

	/**
	 * @return the preguntes
	 */
	public List<Pregunta> getPreguntes() {
		return preguntes;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @param titol the titol to set
	 */
	public void setTitol(String titol) {
		this.titol = titol;
	}

	/**
	 * @param preguntes the preguntes to set
	 */
	public void setPreguntes(List<Pregunta> preguntes) {
		this.preguntes = preguntes;
	}
	
	public void setVisible(final boolean visible) {
		isVisible = visible;
	}

	public boolean isVisible() {
		return this.isVisible;
	}

	
	

}
