package com.ub.alumnes.mmorenfe.pfg_app;

import android.app.Fragment;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebView;
import android.widget.TextView;

import com.ub.alumnes.mmorenfe.pfg_app.model.Test;
import com.ub.alumnes.mmorenfe.pfg_app.utils.ChartUtils;

public class AvaluacioPerTestDetailFragment extends Fragment {
	
	/**
	 * the test.
	 */
	private Test test;
	
	private WebView chart;
	private ChartUtils utils;
	
	private TextView mh;
	private TextView e;
	private TextView n;
	private TextView a;
	private TextView s;

    private TextView title;
	
	/**
	 * The fragment argument representing the item ID that this fragment
	 * represents.
	 */
	public static final String ARG_ITEM_ID = "item_id";


	/**
	 * Mandatory empty constructor for the fragment manager to instantiate the
	 * fragment (e.g. upon screen orientation changes).
	 */
	public AvaluacioPerTestDetailFragment() {
	}

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		if (getArguments().containsKey("Test")) {
			test = AvaluacioPerTestListFragment.testMap.get(getArguments().getInt("Test"));
		}
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		View rootView = inflater.inflate(
				R.layout.fragment_avaluaciopertest_detail, container, false);
		
		chart = (WebView) rootView.findViewById(R.id.chart2);
		
		mh = (TextView) rootView.findViewById(R.id.textViewMatricula);
		e =(TextView) rootView.findViewById(R.id.textViewExcelent);
		n = (TextView) rootView.findViewById(R.id.textViewNotable);
		a = (TextView) rootView.findViewById(R.id.textViewAprobat);
		s = (TextView) rootView.findViewById(R.id.textViewSuspes);

        title = (TextView) rootView.findViewById(R.id.textViewTitleTestDetail);

        title.setText(test.getTitol());


		return rootView;
	}
	
	@Override
	public void onStart() {
		super.onStart();
		DoCreateChart task = new DoCreateChart();
		task.execute(new Test());
	}



	private class DoCreateChart extends AsyncTask<Test, Void, Void> {

		@Override
		protected Void doInBackground(Test... params) {
			return null;
		}

		@Override
		protected void onPostExecute(Void result) {
			super.onPostExecute(result);
			
			utils = new ChartUtils(1,2,3,4,5);
			chart.loadUrl(utils.getQuery());
			
			mh.setText("1");
			e.setText("2");
			n.setText("3");
			a.setText("4");
			s.setText("5");
			
		}
		
	}
}
