package com.ub.alumnes.mmorenfe.pfg_app.adapters;

import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.TextView;

import com.ub.alumnes.mmorenfe.pfg_app.R;
import com.ub.alumnes.mmorenfe.pfg_app.model.Avaluacio;

public class AvaluacioAdapter extends ArrayAdapter<Avaluacio> {
	
	private Context context;
	
	private int resourceId;

	public AvaluacioAdapter(Context context, int resourceId,
			List<Avaluacio> objects) {
		super(context, resourceId, objects);
		this.context = context;
		this.resourceId = resourceId;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View v = null;
		LayoutInflater inflater = (LayoutInflater) context.getSystemService(context.LAYOUT_INFLATER_SERVICE);
		
		v = inflater.inflate(resourceId, parent, false);
		
		Avaluacio a = getItem(position);
		
		TextView title = (TextView) v.findViewById(R.id.textAvaluacioNom);
		Button nota = (Button) v.findViewById(R.id.btnNota);
		
		title.setText(a.getTest().getTitol());
		
		nota.setText(String.valueOf(a.getNota()));
		
		return v;
	}
	
	

}
